> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobula.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search by name

> Search for assets, pairs, or tokens by name with optional filtering by blockchain, factory, or pool type.

<Warning>
  **Deprecated Endpoint**

  This endpoint is deprecated. Please use the new v2 endpoint instead:

  * [/api/2/fast-search](/rest-api-reference/endpoint/fast-search) — Universal Search with prefix and exact match modes, multi-chain filtering, and flexible sorting options
</Warning>

### Query Details

| Parameter       | Required | Description                                                                                                  |
| --------------- | -------- | ------------------------------------------------------------------------------------------------------------ |
| `input`         | Yes      | Search query input.                                                                                          |
| `type`          | Cond.    | Type of search: `"assets"`, `"pairs"`, `"tokens"`.                                                           |
| `filters`       | Cond.    | JSON-encoded filters such as `blockchains`, `factory`,`poolTypes` and `types- (“assets”, “pairs”, “tokens”)` |
| `mode`          | Cond.    | Search mode (implementation-specific).                                                                       |
| `sortBy`        | Cond.    | Field to sort results by. See table below for available values.                                              |
| `excludeBonded` | Cond.    | If `true`, excludes bonded assets from results.                                                              |

### Sort Options (`sortBy`)

Both camelCase (preferred) and snake\_case (legacy) values are accepted:

| camelCase (preferred) | snake\_case (legacy)  | Description               |
| --------------------- | --------------------- | ------------------------- |
| `searchScore`         | `search_score`        | Relevance score (default) |
| `trendingScore24h`    | `trending_score_24h`  | 24h trending score        |
| `volume24h`           | `volume_24h`          | 24h trading volume        |
| `marketCap`           | `market_cap`          | Market capitalization     |
| `createdAt`           | `created_at`          | Token creation date       |
| `volume1h`            | `volume_1h`           | 1h trading volume         |
| `volume5min`          | `volume_5min`         | 5min trading volume       |
| `feesPaid5min`        | `fees_paid_5min`      | 5min fees paid            |
| `feesPaid1h`          | `fees_paid_1h`        | 1h fees paid              |
| `feesPaid24h`         | `fees_paid_24h`       | 24h fees paid             |
| `holdersCount`        | `holders_count`       | Number of holders         |
| `organicVolume1h`     | `organic_volume_1h`   | 1h organic volume         |
| `totalFeesPaidUsd`    | `total_fees_paid_usd` | Total fees paid in USD    |

***

### Usage Examples

* Search by filters `blockchains` and `factory`:

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/search?filters={"blockchains":"Mega Testnet","factory": "gte" }&input=itsagood"
```

* Search by filters `blockchains` and `poolTypes` for type `tokens`:

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/search?filters={"blockchains":"Ethereum,Solana","poolTypes": "gte-bonding-v1" }&input=itsagood&type=tokens"
```

* Search by filters `blockchains`, and `factory`, excludedBonded, type `tokens`

```bash theme={null}
curl -X GET "https://demo-api.mobula.io/api/1/search?excludeBonded=true&filters={"blockchains":mega+testnet,"factory":"gte"}&input=M&types=tokens"
```


## OpenAPI

````yaml get /1/search
openapi: 3.0.0
info:
  version: 1.0.0
  title: Mobula API
  description: >-
    Documentation of the Mobula API


    **Demo API**: The default server (demo-api.mobula.io) is a demo API with
    rate limits.

    For production use, please use api.mobula.io with an API key from
    https://admin.mobula.io
servers:
  - url: https://demo-api.mobula.io/api/
    description: Demo API (rate limited, for testing only)
  - url: https://api.mobula.io/api/
    description: Production API (requires API key)
security: []
tags:
  - name: V2 - Token
    description: Token details, price, security, ATH, and holder data
  - name: V2 - Market Data
    description: Market details, OHLCV history, and lighthouse metrics
  - name: V2 - Trades
    description: Token trades, enriched trades, and trade filters
  - name: V2 - Wallet
    description: Wallet positions, activity, trades, analysis, and labels
  - name: V2 - Assets
    description: Cross-chain asset details and price history
  - name: V2 - Swap
    description: Swap quoting and execution
  - name: V2 - Perps
    description: Perpetual futures quoting, execution, and positions
  - name: V2 - Bridge
    description: Cross-chain bridge quoting and intent status (Alpha Preview)
  - name: V2 - DeFi
    description: Bonding pools and pulse data
  - name: V2 - Search
    description: Universal fast search
  - name: V2 - Blockchains
    description: System metadata and chain listings
  - name: V1 - Market Data
    description: Market prices, history, sparklines, pairs, and multi-data
  - name: V1 - Wallet
    description: Wallet portfolio, transactions, history, and NFTs
  - name: V1 - Token
    description: First buyers
  - name: V1 - Trades
    description: Market trades by pair
  - name: V1 - Metadata
    description: Token metadata, categories, trendings, and news
  - name: V1 - Assets
    description: List all assets
  - name: V1 - Search
    description: Search for assets, tokens, and pairs
  - name: V1 - DeFi
    description: Bonding pool pulse data
  - name: V1 - Blockchains
    description: Blockchain listings, pairs, and stats
  - name: V1 - Webhooks
    description: Webhook management
  - name: V1 - Feed
    description: Custom feed creation
paths:
  /1/search:
    get:
      tags:
        - V1 - Search
      summary: Search for assets, tokens, and pairs
      parameters:
        - schema:
            type: string
            description: >-
              Search query string. Matches token or asset name, symbol, full
              address, or EVM address prefix.
          required: true
          description: >-
            Search query string. Matches token or asset name, symbol, full
            address, or EVM address prefix.
          name: input
          in: query
        - schema:
            type: string
            enum:
              - tokens
              - assets
              - pairs
            description: Type of results to return
          required: false
          description: Type of results to return
          name: type
          in: query
        - schema:
            type: string
            description: >-
              JSON string with filter options: blockchains, poolTypes,
              excludeBonded, bondedOnly
          required: false
          description: >-
            JSON string with filter options: blockchains, poolTypes,
            excludeBonded, bondedOnly
          name: filters
          in: query
        - schema:
            type: string
            enum:
              - volume24h
              - marketCap
              - createdAt
              - volume1h
              - feesPaid5min
              - feesPaid1h
              - feesPaid24h
              - volume5min
              - holdersCount
              - organicVolume1h
              - totalFeesPaidUsd
              - searchScore
              - trendingScore24h
              - liquidity
            description: Sort field for search results
          required: false
          description: Sort field for search results
          name: sortBy
          in: query
        - schema:
            type: boolean
            description: Exclude bonded tokens from results
          required: false
          description: Exclude bonded tokens from results
          name: excludeBonded
          in: query
        - schema:
            type: number
            description: 'Maximum number of results (1-20, default: 5)'
          required: false
          description: 'Maximum number of results (1-20, default: 5)'
          name: limit
          in: query
      responses:
        '200':
          description: Search response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            logo:
                              type: string
                              nullable: true
                            name:
                              type: string
                            symbol:
                              type: string
                            decimals:
                              type: array
                              items:
                                type: number
                            volume_24h:
                              type: number
                            price_change_24h:
                              type: number
                            price_change_1h:
                              type: number
                            blockchains:
                              type: array
                              items:
                                type: string
                            contracts:
                              type: array
                              items:
                                type: string
                            price:
                              type: number
                              nullable: true
                            total_supply:
                              type: number
                            market_cap:
                              type: number
                            pairs:
                              type: array
                              items:
                                type: object
                                properties:
                                  token0:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                      price:
                                        type: number
                                        nullable: true
                                      priceToken:
                                        type: number
                                      priceTokenString:
                                        type: string
                                      approximateReserveUSD:
                                        type: number
                                      approximateReserveTokenRaw:
                                        type: string
                                      approximateReserveToken:
                                        type: number
                                      symbol:
                                        type: string
                                      name:
                                        type: string
                                      id:
                                        type: number
                                        nullable: true
                                      decimals:
                                        type: number
                                      totalSupply:
                                        type: number
                                      circulatingSupply:
                                        type: number
                                      chainId:
                                        type: string
                                      logo:
                                        type: string
                                        nullable: true
                                    required:
                                      - address
                                      - price
                                      - priceToken
                                      - priceTokenString
                                      - approximateReserveUSD
                                      - approximateReserveTokenRaw
                                      - approximateReserveToken
                                      - symbol
                                      - name
                                      - decimals
                                      - totalSupply
                                      - circulatingSupply
                                      - chainId
                                      - logo
                                  token1:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                      price:
                                        type: number
                                        nullable: true
                                      priceToken:
                                        type: number
                                      priceTokenString:
                                        type: string
                                      approximateReserveUSD:
                                        type: number
                                      approximateReserveTokenRaw:
                                        type: string
                                      approximateReserveToken:
                                        type: number
                                      symbol:
                                        type: string
                                      name:
                                        type: string
                                      id:
                                        type: number
                                        nullable: true
                                      decimals:
                                        type: number
                                      totalSupply:
                                        type: number
                                      circulatingSupply:
                                        type: number
                                      chainId:
                                        type: string
                                      logo:
                                        type: string
                                        nullable: true
                                    required:
                                      - address
                                      - price
                                      - priceToken
                                      - priceTokenString
                                      - approximateReserveUSD
                                      - approximateReserveTokenRaw
                                      - approximateReserveToken
                                      - symbol
                                      - name
                                      - decimals
                                      - totalSupply
                                      - circulatingSupply
                                      - chainId
                                      - logo
                                  volume24h:
                                    type: number
                                  liquidity:
                                    type: number
                                  blockchain:
                                    type: string
                                  address:
                                    type: string
                                  createdAt:
                                    type: string
                                    nullable: true
                                  type:
                                    type: string
                                  baseToken:
                                    type: string
                                  exchange:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      logo:
                                        type: string
                                    required:
                                      - name
                                      - logo
                                  factory:
                                    type: string
                                    nullable: true
                                  quoteToken:
                                    type: string
                                  price:
                                    type: number
                                    nullable: true
                                  priceToken:
                                    type: number
                                  priceTokenString:
                                    type: string
                                  extraData:
                                    type: object
                                    nullable: true
                                    additionalProperties:
                                      nullable: true
                                required:
                                  - token0
                                  - token1
                                  - volume24h
                                  - liquidity
                                  - blockchain
                                  - address
                                  - createdAt
                                  - type
                                  - baseToken
                                  - exchange
                                  - factory
                                  - quoteToken
                                  - price
                                  - priceToken
                                  - priceTokenString
                                  - extraData
                            type:
                              type: string
                              enum:
                                - token
                          required:
                            - logo
                            - name
                            - symbol
                            - decimals
                            - blockchains
                            - contracts
                            - price
                            - total_supply
                            - market_cap
                            - pairs
                            - type
                        - type: object
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                            symbol:
                              type: string
                            contracts:
                              type: array
                              items:
                                type: string
                            blockchains:
                              type: array
                              items:
                                type: string
                            decimals:
                              type: array
                              items:
                                type: number
                            twitter:
                              type: string
                              nullable: true
                            website:
                              type: string
                              nullable: true
                            logo:
                              type: string
                              nullable: true
                            price:
                              type: number
                              nullable: true
                            market_cap:
                              type: number
                            total_supply:
                              type: number
                            liquidity:
                              type: number
                            volume:
                              type: number
                            pairs:
                              type: array
                              items:
                                type: object
                                properties:
                                  token0:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                      price:
                                        type: number
                                        nullable: true
                                      priceToken:
                                        type: number
                                      priceTokenString:
                                        type: string
                                      approximateReserveUSD:
                                        type: number
                                      approximateReserveTokenRaw:
                                        type: string
                                      approximateReserveToken:
                                        type: number
                                      symbol:
                                        type: string
                                      name:
                                        type: string
                                      id:
                                        type: number
                                        nullable: true
                                      decimals:
                                        type: number
                                      totalSupply:
                                        type: number
                                      circulatingSupply:
                                        type: number
                                      chainId:
                                        type: string
                                      logo:
                                        type: string
                                        nullable: true
                                    required:
                                      - address
                                      - price
                                      - priceToken
                                      - priceTokenString
                                      - approximateReserveUSD
                                      - approximateReserveTokenRaw
                                      - approximateReserveToken
                                      - symbol
                                      - name
                                      - decimals
                                      - totalSupply
                                      - circulatingSupply
                                      - chainId
                                      - logo
                                  token1:
                                    type: object
                                    properties:
                                      address:
                                        type: string
                                      price:
                                        type: number
                                        nullable: true
                                      priceToken:
                                        type: number
                                      priceTokenString:
                                        type: string
                                      approximateReserveUSD:
                                        type: number
                                      approximateReserveTokenRaw:
                                        type: string
                                      approximateReserveToken:
                                        type: number
                                      symbol:
                                        type: string
                                      name:
                                        type: string
                                      id:
                                        type: number
                                        nullable: true
                                      decimals:
                                        type: number
                                      totalSupply:
                                        type: number
                                      circulatingSupply:
                                        type: number
                                      chainId:
                                        type: string
                                      logo:
                                        type: string
                                        nullable: true
                                    required:
                                      - address
                                      - price
                                      - priceToken
                                      - priceTokenString
                                      - approximateReserveUSD
                                      - approximateReserveTokenRaw
                                      - approximateReserveToken
                                      - symbol
                                      - name
                                      - decimals
                                      - totalSupply
                                      - circulatingSupply
                                      - chainId
                                      - logo
                                  volume24h:
                                    type: number
                                  liquidity:
                                    type: number
                                  blockchain:
                                    type: string
                                  address:
                                    type: string
                                  createdAt:
                                    type: string
                                    nullable: true
                                  type:
                                    type: string
                                  baseToken:
                                    type: string
                                  exchange:
                                    type: object
                                    properties:
                                      name:
                                        type: string
                                      logo:
                                        type: string
                                    required:
                                      - name
                                      - logo
                                  factory:
                                    type: string
                                    nullable: true
                                  quoteToken:
                                    type: string
                                  price:
                                    type: number
                                    nullable: true
                                  priceToken:
                                    type: number
                                  priceTokenString:
                                    type: string
                                  extraData:
                                    type: object
                                    nullable: true
                                    additionalProperties:
                                      nullable: true
                                required:
                                  - token0
                                  - token1
                                  - volume24h
                                  - liquidity
                                  - blockchain
                                  - address
                                  - createdAt
                                  - type
                                  - baseToken
                                  - exchange
                                  - factory
                                  - quoteToken
                                  - price
                                  - priceToken
                                  - priceTokenString
                                  - extraData
                            type:
                              type: string
                              enum:
                                - asset
                            price_change_24h:
                              type: number
                              nullable: true
                            price_change_1h:
                              type: number
                              nullable: true
                          required:
                            - id
                            - name
                            - symbol
                            - contracts
                            - blockchains
                            - decimals
                            - logo
                            - price
                            - market_cap
                            - total_supply
                            - liquidity
                            - volume
                            - pairs
                            - type
                            - price_change_24h
                            - price_change_1h
                        - type: object
                          properties:
                            token0:
                              type: object
                              properties:
                                address:
                                  type: string
                                chainId:
                                  type: string
                                symbol:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                                decimals:
                                  type: number
                                  nullable: true
                                  default: 0
                                id:
                                  type: number
                                  nullable: true
                                  default: null
                                price:
                                  type: number
                                  nullable: true
                                  default: 0
                                priceToken:
                                  type: number
                                  nullable: true
                                  default: 0
                                priceTokenString:
                                  type: string
                                approximateReserveUSD:
                                  type: number
                                  nullable: true
                                  default: 0
                                approximateReserveTokenRaw:
                                  type: string
                                approximateReserveToken:
                                  type: number
                                  nullable: true
                                  default: 0
                                totalSupply:
                                  type: number
                                  nullable: true
                                  default: 0
                                circulatingSupply:
                                  type: number
                                  nullable: true
                                  default: 0
                                marketCap:
                                  type: number
                                  nullable: true
                                  default: 0
                                marketCapDiluted:
                                  type: number
                                  nullable: true
                                  default: 0
                                logo:
                                  type: string
                                  nullable: true
                                exchange:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    logo:
                                      type: string
                                  required:
                                    - name
                                    - logo
                                factory:
                                  type: string
                                  nullable: true
                                source:
                                  type: string
                                  nullable: true
                                sourceFactory:
                                  type: string
                                  nullable: true
                                liquidity:
                                  type: number
                                  nullable: true
                                liquidityMax:
                                  type: number
                                  nullable: true
                                bonded:
                                  type: boolean
                                bondingPercentage:
                                  type: number
                                  nullable: true
                                bondingCurveAddress:
                                  type: string
                                  nullable: true
                                preBondingFactory:
                                  type: string
                                poolAddress:
                                  type: string
                                blockchain:
                                  type: string
                                type:
                                  type: string
                                tokenType:
                                  type: string
                                  nullable: true
                                  enum:
                                    - '2020'
                                    - '2022'
                                is_mayhem_mode:
                                  type: boolean
                                  nullable: true
                                  default: null
                                is_cashback_coin:
                                  type: boolean
                                  nullable: true
                                  default: null
                                is_agent_mode:
                                  type: boolean
                                  nullable: true
                                  default: null
                                is_og_coin:
                                  type: boolean
                                  nullable: true
                                  default: null
                                deployer:
                                  type: string
                                  nullable: true
                                createdAt:
                                  type: string
                                bonded_at:
                                  type: string
                                  nullable: true
                                ath:
                                  type: number
                                  nullable: true
                                atl:
                                  type: number
                                  nullable: true
                                athDate:
                                  type: string
                                  nullable: true
                                atlDate:
                                  type: string
                                  nullable: true
                                holdersCount:
                                  type: number
                                  nullable: true
                                top10HoldingsPercentage:
                                  type: number
                                  nullable: true
                                top50HoldingsPercentage:
                                  type: number
                                  nullable: true
                                top100HoldingsPercentage:
                                  type: number
                                  nullable: true
                                top200HoldingsPercentage:
                                  type: number
                                  nullable: true
                                devHoldingsPercentage:
                                  type: number
                                  nullable: true
                                insidersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                bundlersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                snipersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                proTradersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                freshTradersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                smartTradersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                insidersCount:
                                  type: number
                                  nullable: true
                                bundlersCount:
                                  type: number
                                  nullable: true
                                snipersCount:
                                  type: number
                                  nullable: true
                                freshTradersCount:
                                  type: number
                                  nullable: true
                                proTradersCount:
                                  type: number
                                  nullable: true
                                smartTradersCount:
                                  type: number
                                  nullable: true
                                freshTradersBuys:
                                  type: number
                                  nullable: true
                                proTradersBuys:
                                  type: number
                                  nullable: true
                                smartTradersBuys:
                                  type: number
                                  nullable: true
                              required:
                                - address
                                - chainId
                                - symbol
                                - name
                                - priceTokenString
                                - approximateReserveTokenRaw
                                - logo
                                - bonded_at
                            token1:
                              type: object
                              properties:
                                address:
                                  type: string
                                chainId:
                                  type: string
                                symbol:
                                  type: string
                                  nullable: true
                                name:
                                  type: string
                                  nullable: true
                                decimals:
                                  type: number
                                  nullable: true
                                  default: 0
                                id:
                                  type: number
                                  nullable: true
                                  default: null
                                price:
                                  type: number
                                  nullable: true
                                  default: 0
                                priceToken:
                                  type: number
                                  nullable: true
                                  default: 0
                                priceTokenString:
                                  type: string
                                approximateReserveUSD:
                                  type: number
                                  nullable: true
                                  default: 0
                                approximateReserveTokenRaw:
                                  type: string
                                approximateReserveToken:
                                  type: number
                                  nullable: true
                                  default: 0
                                totalSupply:
                                  type: number
                                  nullable: true
                                  default: 0
                                circulatingSupply:
                                  type: number
                                  nullable: true
                                  default: 0
                                marketCap:
                                  type: number
                                  nullable: true
                                  default: 0
                                marketCapDiluted:
                                  type: number
                                  nullable: true
                                  default: 0
                                logo:
                                  type: string
                                  nullable: true
                                exchange:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    logo:
                                      type: string
                                  required:
                                    - name
                                    - logo
                                factory:
                                  type: string
                                  nullable: true
                                source:
                                  type: string
                                  nullable: true
                                sourceFactory:
                                  type: string
                                  nullable: true
                                liquidity:
                                  type: number
                                  nullable: true
                                liquidityMax:
                                  type: number
                                  nullable: true
                                bonded:
                                  type: boolean
                                bondingPercentage:
                                  type: number
                                  nullable: true
                                bondingCurveAddress:
                                  type: string
                                  nullable: true
                                preBondingFactory:
                                  type: string
                                poolAddress:
                                  type: string
                                blockchain:
                                  type: string
                                type:
                                  type: string
                                tokenType:
                                  type: string
                                  nullable: true
                                  enum:
                                    - '2020'
                                    - '2022'
                                is_mayhem_mode:
                                  type: boolean
                                  nullable: true
                                  default: null
                                is_cashback_coin:
                                  type: boolean
                                  nullable: true
                                  default: null
                                is_agent_mode:
                                  type: boolean
                                  nullable: true
                                  default: null
                                is_og_coin:
                                  type: boolean
                                  nullable: true
                                  default: null
                                deployer:
                                  type: string
                                  nullable: true
                                createdAt:
                                  type: string
                                bonded_at:
                                  type: string
                                  nullable: true
                                ath:
                                  type: number
                                  nullable: true
                                atl:
                                  type: number
                                  nullable: true
                                athDate:
                                  type: string
                                  nullable: true
                                atlDate:
                                  type: string
                                  nullable: true
                                holdersCount:
                                  type: number
                                  nullable: true
                                top10HoldingsPercentage:
                                  type: number
                                  nullable: true
                                top50HoldingsPercentage:
                                  type: number
                                  nullable: true
                                top100HoldingsPercentage:
                                  type: number
                                  nullable: true
                                top200HoldingsPercentage:
                                  type: number
                                  nullable: true
                                devHoldingsPercentage:
                                  type: number
                                  nullable: true
                                insidersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                bundlersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                snipersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                proTradersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                freshTradersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                smartTradersHoldingsPercentage:
                                  type: number
                                  nullable: true
                                insidersCount:
                                  type: number
                                  nullable: true
                                bundlersCount:
                                  type: number
                                  nullable: true
                                snipersCount:
                                  type: number
                                  nullable: true
                                freshTradersCount:
                                  type: number
                                  nullable: true
                                proTradersCount:
                                  type: number
                                  nullable: true
                                smartTradersCount:
                                  type: number
                                  nullable: true
                                freshTradersBuys:
                                  type: number
                                  nullable: true
                                proTradersBuys:
                                  type: number
                                  nullable: true
                                smartTradersBuys:
                                  type: number
                                  nullable: true
                              required:
                                - address
                                - chainId
                                - symbol
                                - name
                                - priceTokenString
                                - approximateReserveTokenRaw
                                - logo
                                - bonded_at
                            volume24h:
                              type: number
                              nullable: true
                              default: 0
                            liquidity:
                              type: number
                              nullable: true
                              default: 0
                            blockchain:
                              type: string
                            address:
                              type: string
                            createdAt:
                              type: string
                              nullable: true
                            type:
                              type: string
                            baseToken:
                              type: string
                            exchange:
                              type: object
                              properties:
                                name:
                                  type: string
                                logo:
                                  type: string
                              required:
                                - name
                                - logo
                            factory:
                              type: string
                              nullable: true
                            quoteToken:
                              type: string
                            price:
                              type: number
                              nullable: true
                            priceToken:
                              type: number
                              nullable: true
                            priceTokenString:
                              type: string
                            athToken0:
                              type: number
                              nullable: true
                              default: 0
                            athToken1:
                              type: number
                              nullable: true
                              default: 0
                            atlToken0:
                              type: number
                              nullable: true
                              default: 0
                            atlToken1:
                              type: number
                              nullable: true
                              default: 0
                            athDateToken0:
                              type: string
                              nullable: true
                            athDateToken1:
                              type: string
                              nullable: true
                            atlDateToken0:
                              type: string
                              nullable: true
                            atlDateToken1:
                              type: string
                              nullable: true
                            bonded:
                              type: boolean
                              nullable: true
                            bondingPercentage:
                              type: number
                              nullable: true
                            bondingCurveAddress:
                              type: string
                              nullable: true
                            sourceFactory:
                              type: string
                              nullable: true
                            totalFeesPaidUSD:
                              type: number
                              nullable: true
                            totalFeesPaidNativeRaw:
                              type: string
                              pattern: ^d+$
                              default: 0
                            extraData:
                              type: object
                              additionalProperties:
                                nullable: true
                          required:
                            - token0
                            - token1
                            - blockchain
                            - address
                            - createdAt
                            - type
                            - baseToken
                            - exchange
                            - factory
                            - quoteToken
                            - bondingPercentage
                            - bondingCurveAddress
                required:
                  - data

````